Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package quasiquotes
  Definition Classes
    reflect
-  trait Holes extends AnyRef

  Defines abstractions that provide support for splicing into Scala syntax.

  Defines abstractions that provide support for splicing into Scala syntax.

  Definition Classes
    quasiquotes
- ApplyHole
- Hole
- UnapplyHole
- unlifters

c

scala.reflect.quasiquotes.Holes

# ApplyHole

###

#### class ApplyHole extends Quasiquotes.Hole

Source
  Holes.scala

Linear Supertypes
Quasiquotes.Hole, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ApplyHole
2. Hole
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ApplyHole(annotatedRank: Rank, unquotee: tools.nsc.Global.Tree)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Quasiquotes.ApplyHole toany2stringadd[Quasiquotes.ApplyHole] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Quasiquotes.ApplyHole, B)
   Implicit
     This member is added by an implicit conversion from Quasiquotes.ApplyHole toArrowAssoc[Quasiquotes.ApplyHole] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: (Quasiquotes.ApplyHole) => Boolean, msg: => Any): Quasiquotes.ApplyHole
   Implicit
     This member is added by an implicit conversion from Quasiquotes.ApplyHole toEnsuring[Quasiquotes.ApplyHole] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Quasiquotes.ApplyHole) => Boolean): Quasiquotes.ApplyHole
   Implicit
     This member is added by an implicit conversion from Quasiquotes.ApplyHole toEnsuring[Quasiquotes.ApplyHole] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): Quasiquotes.ApplyHole
    Implicit
      This member is added by an implicit conversion from Quasiquotes.ApplyHole toEnsuring[Quasiquotes.ApplyHole] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Quasiquotes.ApplyHole
    Implicit
      This member is added by an implicit conversion from Quasiquotes.ApplyHole toEnsuring[Quasiquotes.ApplyHole] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Quasiquotes.ApplyHole toStringFormat[Quasiquotes.ApplyHole] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  val pos: tools.nsc.Global.Position
    Definition Classes
      ApplyHole → Hole
23.  val rank: Rank
    Definition Classes
      ApplyHole → Hole
24.  val strippedTpe: tools.nsc.Global.Type
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  val tpe: tools.nsc.Global.Type
28.  val tree: tools.nsc.Global.Tree
    Definition Classes
      ApplyHole → Hole
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Quasiquotes.ApplyHole, B)
   Implicit
     This member is added by an implicit conversion from Quasiquotes.ApplyHole toArrowAssoc[Quasiquotes.ApplyHole] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Quasiquotes.Hole

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromQuasiquotes.ApplyHole to any2stringadd[Quasiquotes.ApplyHole]

### Inherited by implicit conversion StringFormat fromQuasiquotes.ApplyHole to StringFormat[Quasiquotes.ApplyHole]

### Inherited by implicit conversion Ensuring fromQuasiquotes.ApplyHole to Ensuring[Quasiquotes.ApplyHole]

### Inherited by implicit conversion ArrowAssoc fromQuasiquotes.ApplyHole to ArrowAssoc[Quasiquotes.ApplyHole]

### Ungrouped